Page MenuHomePhabricator

Internal error when searching within global rules
Closed, ResolvedPublic

Event Timeline

Restricted Application added subscribers: Scoopfinder, Aklapper. · View Herald TranscriptApr 5 2018, 4:25 PM
matej_suchanek triaged this task as High priority.Apr 5 2018, 4:25 PM

@matej_suchanek I can't see the error on wikidata since I don't have enough filters, nor I can replicate on beta cluster.

Change 424355 had a related patch set uploaded (by Daimona Eaytoy; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@master] Add missing piece of formatValue to GlobalAbuseFilterPager

https://gerrit.wikimedia.org/r/424355

Daimona claimed this task.Apr 5 2018, 4:40 PM

Beware: global filter rules may be hidden from AF maintainers on a remote wiki.

exception.message: Unknown row type af_pattern!
exception.trace:

#0 /srv/mediawiki/php-1.31.0-wmf.28/includes/pager/TablePager.php(192): GlobalAbuseFilterPager->formatValue(string, string)
#1 /srv/mediawiki/php-1.31.0-wmf.28/includes/pager/IndexPager.php(445): TablePager->formatRow(stdClass)
#2 /srv/mediawiki/php-1.31.0-wmf.28/includes/pager/TablePager.php(69): IndexPager->getBody()
#3 /srv/mediawiki/php-1.31.0-wmf.28/extensions/AbuseFilter/includes/Views/AbuseFilterViewList.php(231): TablePager->getBody()
#4 /srv/mediawiki/php-1.31.0-wmf.28/extensions/AbuseFilter/includes/Views/AbuseFilterViewList.php(105): AbuseFilterViewList->showList(string, array)
#5 /srv/mediawiki/php-1.31.0-wmf.28/extensions/AbuseFilter/includes/special/SpecialAbuseFilter.php(116): AbuseFilterViewList->show()
#6 /srv/mediawiki/php-1.31.0-wmf.28/includes/specialpage/SpecialPage.php(522): SpecialAbuseFilter->execute(string)
#7 /srv/mediawiki/php-1.31.0-wmf.28/includes/specialpage/SpecialPageFactory.php(568): SpecialPage->run(string)
#8 /srv/mediawiki/php-1.31.0-wmf.28/includes/MediaWiki.php(288): SpecialPageFactory::executePath(Title, RequestContext)
#9 /srv/mediawiki/php-1.31.0-wmf.28/includes/MediaWiki.php(861): MediaWiki->performRequest()
#10 /srv/mediawiki/php-1.31.0-wmf.28/includes/MediaWiki.php(524): MediaWiki->main()
#11 /srv/mediawiki/php-1.31.0-wmf.28/index.php(42): MediaWiki->run()
#12 /srv/mediawiki/w/index.php(3): include(string)
#13 {main}

Beware: global filter rules may be hidden from AF maintainers on a remote wiki.

True, so we need additional checks?

Beware: global filter rules may be hidden from AF maintainers on a remote wiki.

True, so we need additional checks?

I would just disable the search for global filters.

@matej_suchanek Mmmmm I like it, would solve many, many problems. I'll try and do it later, or feel free to edit my patch if you want to do it yourself :-)

Huji added a subscriber: Huji.EditedApr 5 2018, 5:01 PM

I want to use this opportunity to complain that a clear, step-by-step process for replicating the design of WMF's wiki farm is not out there and no matter how much I try to replicate it I cannot do it closely enough.

This bug did *not* occur on my local wiki farm, hence my approval of the original patch. Had I been able to create a wiki farm that is exactly like WMF, then I would have caught it when I was testing the search of global filters on my local wiki farm.

@Huji Yeah, you're right. Anyway, removing search from global filters is probably better, and if needed we may add it again in the future. The only note is, I'm not totally sure I removed it in the right way. I'd like a review from someone more experienced than me with global filters for this patch.

Change 424622 had a related patch set uploaded (by Matěj Suchánek; owner: Daimona Eaytoy):
[mediawiki/extensions/AbuseFilter@wmf/1.31.0-wmf.28] Disable search for global filters

https://gerrit.wikimedia.org/r/424622

Thanks @matej_suchanek. I'll set it for tuesday's SWAT.

Change 424355 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@master] Disable search for global filters

https://gerrit.wikimedia.org/r/424355

Change 424622 merged by jenkins-bot:
[mediawiki/extensions/AbuseFilter@wmf/1.31.0-wmf.28] Disable search for global filters

https://gerrit.wikimedia.org/r/424622

Daimona closed this task as Resolved.Apr 10 2018, 1:23 PM

Mentioned in SAL (#wikimedia-operations) [2018-04-10T13:29:59Z] <zfilipin@tin> Synchronized php-1.31.0-wmf.28/extensions/AbuseFilter/: SWAT: [[gerrit:424622|Disable search for global filters (T191539)]] (duration: 01m 01s)

mmodell changed the subtype of this task from "Task" to "Production Error".Aug 28 2019, 11:09 PM